Subject: Re: want to randomly drop packets based on percent

From: George Nychis <[email-masked]>
Date: Mon, 17 Apr 2006 13:05:21 -0400

Stephen Hemminger wrote:

>On Mon, 17 Apr 2006 18:30:51 -0400
>George Nychis <[email-masked]> wrote:
>
>  
>
>>Stephen Hemminger wrote:
>>
>>    
>>
>>>On Mon, 17 Apr 2006 03:38:33 -0400
>>>George Nychis <[email-masked]> wrote:
>>>
>>> 
>>>
>>>      
>>>
>>>>Hey,
>>>>
>>>>I'm using the 2.4.32 kernel with madwifi and iproute2 version 
>>>>2-2.6.16-060323.tar.gz
>>>>
>>>>I wanted to insert artificial packet loss based on a percent so i found:
>>>>network emulab qdisc could do it, so i compiled support into the kernel 
>>>>and tried:
>>>>tc qdisc change dev eth0 root netem loss .1%
>>>>        
>>>>
>             ^^^^^^
>
>You need to do add not change. Add will set the queue discipline
>to netem (default is pfifo_fast).  Change is for changing netem parameters
>after it is loaded.
>
>  
>
bahhh I see... the wiki has "change" instead of add.  Now i'm running 
into another problem, I have an XCP qdisc that I have already added via:
tc qdisc add dev ath0 root xcp capacity 54Mbit size 500

therefore when I also try to incorperate loss:
tcq disc add dev ath0 root netem loss .1%

I get:
RTNETLINK answers: File exists

Is it possible to use two qdiscs on the same interface?

Thanks!
George